Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## transformation.associationtags
Class AssociationTag

    java.lang.Object
      transformation.associationtags.AssociationTag

    public class AssociationTag

extends java.lang.Object

Constructor Summary
`AssociationTag()` Constructor that creates empty strings as action, user and role of the association tag
`AssociationTag(java.lang.String action, java.lang.String user, java.lang.String role)` Constructor with values

Method Summary
`java.lang.String` | `actionToString()`
`AssociationTag` | `extractSelfFromStr(java.lang.String tagStr)`
`java.lang.String` | `getAction()`
`java.lang.String` | `getRole()`
`java.lang.String` | `getUser()`
`java.lang.String` | `rightToString()`
`java.lang.String` | `roleToString()`
`void` | `setAction(java.lang.String action)`
`void` | `setRole(java.lang.String role)`
`void` | `setUser(java.lang.String user)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssociationTag

    public AssociationTag()

  Constructor that creates empty strings as action, user and role of the association tag

### AssociationTag

    public AssociationTag(java.lang.String action,
                          java.lang.String user,
                          java.lang.String role)

  Constructor with values

  Parameters:
    `action` - Name of the protected action
    `user` - Name of the user
    `role` - Name of the role

Method Detail

### getAction

    public java.lang.String getAction()

  Returns:
    Name of the action

### setAction

    public void setAction(java.lang.String action)

  Parameters:
    `action` - Name of the action

### actionToString

    public java.lang.String actionToString()

  Returns:
    The association tag {protected = ([action])} as a full string

### getUser

    public java.lang.String getUser()

  Returns:
    The name of the user

### setUser

    public void setUser(java.lang.String user)

  Parameters:
    `user` - The name of the user

### getRole

    public java.lang.String getRole()

  Returns:
    The name of the role

### setRole

    public void setRole(java.lang.String role)

  Parameters:
    `role` - The name of the role

### roleToString

    public java.lang.String roleToString()

  Returns:
    The association tag {role = ([user], [role])} as a full string

### rightToString

    public java.lang.String rightToString()

  Returns:
    The association tag {right = ([role], [action])} as a full string

### extractSelfFromStr

    public AssociationTag extractSelfFromStr(java.lang.String tagStr)

  Parameters:
    `tagStr` - The association tag in the form that it is stored in the comment of the UMLsec model
  Returns:
    The association tag as an instance of the AssociationTag class

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The whole association tag as a full string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD